<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: tx_frame_arch Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classtx__frame.html">tx_frame</a></li><li class="navelem"><a class="el" href="classtx__frame_1_1tx__frame__arch.html">tx_frame_arch</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">tx_frame_arch Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classtx__frame_1_1tx__frame__arch-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:aaf00a09d08cb3b6fd86f81a7c0023790"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf00a09d08cb3b6fd86f81a7c0023790"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#aaf00a09d08cb3b6fd86f81a7c0023790">PROCESS_108</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afb71d48945ec7aa741ce0dbb95acd911"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb71d48945ec7aa741ce0dbb95acd911"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#afb71d48945ec7aa741ce0dbb95acd911">PROCESS_109</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">Reg_ack</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reg_rd_strb</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a819ca9f172871a4f0ea7ba1b558dc511"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a819ca9f172871a4f0ea7ba1b558dc511"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a819ca9f172871a4f0ea7ba1b558dc511">PROCESS_110</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3471cc41937463772cb97552001350bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3471cc41937463772cb97552001350bd"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a3471cc41937463772cb97552001350bd">PROCESS_111</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">arp_req</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">arp_ack</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a76c1b615cbbf3d7fe6e17be188de1a24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76c1b615cbbf3d7fe6e17be188de1a24"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a76c1b615cbbf3d7fe6e17be188de1a24">monitoring_packet_max_size_check</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a32906b86f7c2c6d78995c9d111b4f4e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32906b86f7c2c6d78995c9d111b4f4e7"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a32906b86f7c2c6d78995c9d111b4f4e7">machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab52f1fbaba6521efaef1baaf9a379b04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab52f1fbaba6521efaef1baaf9a379b04"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ab52f1fbaba6521efaef1baaf9a379b04">PROCESS_112</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac12872cfe3c5a1cc959068e8f3625930"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac12872cfe3c5a1cc959068e8f3625930"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ac12872cfe3c5a1cc959068e8f3625930">PROCESS_113</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">Reg_ack</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reg_rd_strb</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6324758deb1bf1256955bc246c08689e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6324758deb1bf1256955bc246c08689e"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a6324758deb1bf1256955bc246c08689e">PROCESS_114</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2fb03d3c3b7ffca5a71b0ad0ceb31dcd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fb03d3c3b7ffca5a71b0ad0ceb31dcd"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a2fb03d3c3b7ffca5a71b0ad0ceb31dcd">PROCESS_115</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">arp_req</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">arp_ack</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a76c1b615cbbf3d7fe6e17be188de1a24"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76c1b615cbbf3d7fe6e17be188de1a24"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a76c1b615cbbf3d7fe6e17be188de1a24">monitoring_packet_max_size_check</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a32906b86f7c2c6d78995c9d111b4f4e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32906b86f7c2c6d78995c9d111b4f4e7"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a32906b86f7c2c6d78995c9d111b4f4e7">machine</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a48e45b7f34939a7ad15bceac086e61ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48e45b7f34939a7ad15bceac086e61ed"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a48e45b7f34939a7ad15bceac086e61ed">tx_packet_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classtx__packet__fifo.html">&lt;Entity tx_packet_fifo&gt; </a></em></td></tr>
<tr class="memitem:a2b26c4d1d0573fbaff6c26ce73dd87eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b26c4d1d0573fbaff6c26ce73dd87eb"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a2b26c4d1d0573fbaff6c26ce73dd87eb">edg_det_sync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a752c38e77aa8ba874c2f428c64ede31b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a752c38e77aa8ba874c2f428c64ede31b"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a752c38e77aa8ba874c2f428c64ede31b">PACKETPERFRAME</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 01 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a5f34741f1c91de48f92f629be5518b7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f34741f1c91de48f92f629be5518b7d"></a>
<b><a class="el" href="classtx__frame_1_1tx__frame__arch.html#a5f34741f1c91de48f92f629be5518b7d">state_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_HEADER</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_DATA_LOBYTE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_DATA_HIBYTE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_ARP</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_DONE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_DONE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:ac1c6ac02c90e1d7f9b1b3d40b9be61ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1c6ac02c90e1d7f9b1b3d40b9be61ec"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ac1c6ac02c90e1d7f9b1b3d40b9be61ec">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_type</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab4cea97becf03a3f538deb19e97566a4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4cea97becf03a3f538deb19e97566a4"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ab4cea97becf03a3f538deb19e97566a4">COUNT_REG</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51fc66d0c044be2a7b3d75bc5ea52da3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51fc66d0c044be2a7b3d75bc5ea52da3"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a51fc66d0c044be2a7b3d75bc5ea52da3">headersel</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">INTEGER</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad4ce205f91e1caf3b5a7e396502315fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad4ce205f91e1caf3b5a7e396502315fa"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ad4ce205f91e1caf3b5a7e396502315fa">packetbytecnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a9e386460183a52b5640bd0ec75d345"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a9e386460183a52b5640bd0ec75d345"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a3a9e386460183a52b5640bd0ec75d345">packetbytecnt_end</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab81645130de5b13d1eb3df832e6cb8b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab81645130de5b13d1eb3df832e6cb8b2"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ab81645130de5b13d1eb3df832e6cb8b2">packet_cnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a330ce9a8ebf5006bda0c85748fe693cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a330ce9a8ebf5006bda0c85748fe693cb"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a330ce9a8ebf5006bda0c85748fe693cb">tx_lobyte</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b3d35409e7c80df6b4a745de3977b22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b3d35409e7c80df6b4a745de3977b22"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a1b3d35409e7c80df6b4a745de3977b22">mac_lentype</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2f8e057d1a84eeb1d994b9b5da00771"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2f8e057d1a84eeb1d994b9b5da00771"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#aa2f8e057d1a84eeb1d994b9b5da00771">ip_version</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abcf8ce85454b25812b468c4af142aafa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abcf8ce85454b25812b468c4af142aafa"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#abcf8ce85454b25812b468c4af142aafa">ip_ihl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a17378d1833b2e2efd4e23effcb25f038"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17378d1833b2e2efd4e23effcb25f038"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a17378d1833b2e2efd4e23effcb25f038">ip_tos</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac550af00bfeab108412233c6e8c75129"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac550af00bfeab108412233c6e8c75129"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ac550af00bfeab108412233c6e8c75129">ip_totallen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad57c7f2f7bce0901eafbd2132a171023"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad57c7f2f7bce0901eafbd2132a171023"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ad57c7f2f7bce0901eafbd2132a171023">ip_ident</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3d0458f489be24a8736e973ad5a4279c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d0458f489be24a8736e973ad5a4279c"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a3d0458f489be24a8736e973ad5a4279c">ip_flags</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afc33dc81a6743c1b6a9c138c7d6c3f63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afc33dc81a6743c1b6a9c138c7d6c3f63"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#afc33dc81a6743c1b6a9c138c7d6c3f63">ip_fragoffset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4727ccf199331257ca3aad35a3d15709"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4727ccf199331257ca3aad35a3d15709"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a4727ccf199331257ca3aad35a3d15709">ip_ttl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a22777f0f7e45b9a40dcb35c2511fc39f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22777f0f7e45b9a40dcb35c2511fc39f"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a22777f0f7e45b9a40dcb35c2511fc39f">mac_to_send_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a535f335f2bd31637dee2daf0b4e5fb1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a535f335f2bd31637dee2daf0b4e5fb1d"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a535f335f2bd31637dee2daf0b4e5fb1d">ip_to_send_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af8f45adc1de4b541097dc16967c22e8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8f45adc1de4b541097dc16967c22e8e"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#af8f45adc1de4b541097dc16967c22e8e">local_DQM_dest_ip</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0fe291889a4f850abeb55e68a390d2b1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fe291889a4f850abeb55e68a390d2b1"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a0fe291889a4f850abeb55e68a390d2b1">local_DQM_dest_mac</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2d3393fbd1b32158b4f3e739d980d27e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d3393fbd1b32158b4f3e739d980d27e"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a2d3393fbd1b32158b4f3e739d980d27e">local_DQM_dest_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a210783d7d8961386152d164d52389161"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a210783d7d8961386152d164d52389161"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a210783d7d8961386152d164d52389161">ip_protocol</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a907acfc3646cf310164570a7d1f43d1c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a907acfc3646cf310164570a7d1f43d1c"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a907acfc3646cf310164570a7d1f43d1c">ip_src_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab39c028bd23f040805580f51c6eb3b79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab39c028bd23f040805580f51c6eb3b79"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ab39c028bd23f040805580f51c6eb3b79">udp_src_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ae56cb70750f126e89e1557b9f240a9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ae56cb70750f126e89e1557b9f240a9"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a4ae56cb70750f126e89e1557b9f240a9">udp_dest_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a366fdffbbab62f52f8919cc7a9910109"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a366fdffbbab62f52f8919cc7a9910109"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a366fdffbbab62f52f8919cc7a9910109">udp_reg_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a354a4b0394e43028b164d6945d86d0c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a354a4b0394e43028b164d6945d86d0c2"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a354a4b0394e43028b164d6945d86d0c2">udp_len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b0dc76cdcaf43da1a6cd500c890ae8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b0dc76cdcaf43da1a6cd500c890ae8f"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a5b0dc76cdcaf43da1a6cd500c890ae8f">udp_chksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97872871c6d7087aab4c96a2e034ff08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97872871c6d7087aab4c96a2e034ff08"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a97872871c6d7087aab4c96a2e034ff08">mac_src_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33786828b45ee2d9dab50c8d28b19916"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33786828b45ee2d9dab50c8d28b19916"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a33786828b45ee2d9dab50c8d28b19916">Hchecksum</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af2a61c90030fe83ed1da834f0960934a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2a61c90030fe83ed1da834f0960934a"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#af2a61c90030fe83ed1da834f0960934a">Hchecksum00</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a71d17c5576ffddd389b60af2753c6243"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71d17c5576ffddd389b60af2753c6243"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a71d17c5576ffddd389b60af2753c6243">Reg_req</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3c26c049116ce4ffa22959f8d08565a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c26c049116ce4ffa22959f8d08565a0"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a3c26c049116ce4ffa22959f8d08565a0">FEMB_DS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3d13d98a8dcd81aa0c98e45d0e25983e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d13d98a8dcd81aa0c98e45d0e25983e"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a3d13d98a8dcd81aa0c98e45d0e25983e">FEMB_DS_RESPONSE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30ae8145222017d744c892f596a0e928"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30ae8145222017d744c892f596a0e928"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a30ae8145222017d744c892f596a0e928">wr_Reg_req</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae55721e787a0f5b2e728509803e993ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae55721e787a0f5b2e728509803e993ef"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ae55721e787a0f5b2e728509803e993ef">Reg_ack</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a904489825f545619848bf946d130c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a904489825f545619848bf946d130c5"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a7a904489825f545619848bf946d130c5">reg_data_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad5003ff8c95bb592ab5ccf7db185780b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5003ff8c95bb592ab5ccf7db185780b"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ad5003ff8c95bb592ab5ccf7db185780b">reg_address_S</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab1107ea260ad61bf3ee5c91586dbbe42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1107ea260ad61bf3ee5c91586dbbe42"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ab1107ea260ad61bf3ee5c91586dbbe42">Reg_packet</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab789b6f9c5a3c35b7b933eb858badb83"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab789b6f9c5a3c35b7b933eb858badb83"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ab789b6f9c5a3c35b7b933eb858badb83">DQM_req</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad9a4050f08337dbef02cb3a86e86e132"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9a4050f08337dbef02cb3a86e86e132"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ad9a4050f08337dbef02cb3a86e86e132">arp_req_S</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abac1961b9d90cc4d71edc283a70669e0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abac1961b9d90cc4d71edc283a70669e0"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#abac1961b9d90cc4d71edc283a70669e0">arp_ack</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a86451ad24017d518f8d685ebe3bba8b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86451ad24017d518f8d685ebe3bba8b8"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a86451ad24017d518f8d685ebe3bba8b8">tx_fifo_empty</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a17b15cdf14c9db1b530915956a77eb04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17b15cdf14c9db1b530915956a77eb04"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a17b15cdf14c9db1b530915956a77eb04">tx_fifo_rd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b1dac31542659582fd461f4cd796a90"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b1dac31542659582fd461f4cd796a90"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a3b1dac31542659582fd461f4cd796a90">tx_fifo_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a703c7d4d247c4a28d10ec23af8b17527"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a703c7d4d247c4a28d10ec23af8b17527"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a703c7d4d247c4a28d10ec23af8b17527">rd_fifo_used</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8e6b13b84573d1f3ca98488e6726ff61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e6b13b84573d1f3ca98488e6726ff61"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a8e6b13b84573d1f3ca98488e6726ff61">rd_fifo_used_dly</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2170a58b7875e7835bd6284a00655788"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2170a58b7875e7835bd6284a00655788"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a2170a58b7875e7835bd6284a00655788">tx_packet_wait</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abba4b7e32f76349902740e6e23087dfa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abba4b7e32f76349902740e6e23087dfa"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#abba4b7e32f76349902740e6e23087dfa">tx_fifo_past_max_size</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac7175712b3e56abccc50f5c80a9eb269"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7175712b3e56abccc50f5c80a9eb269"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ac7175712b3e56abccc50f5c80a9eb269">tx_fifo_past_max_size_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a314d630954da7d06ca4593f3df61335f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a314d630954da7d06ca4593f3df61335f"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a314d630954da7d06ca4593f3df61335f">packet_size</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2533ce3f2c136dc044978bc60074cb04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2533ce3f2c136dc044978bc60074cb04"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a2533ce3f2c136dc044978bc60074cb04">test</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a41dc2482622eea149f663ef51c5e19f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41dc2482622eea149f663ef51c5e19f1"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a41dc2482622eea149f663ef51c5e19f1">IMP_RD_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade6c09593fa2b12873b58b63bb67279b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade6c09593fa2b12873b58b63bb67279b"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#ade6c09593fa2b12873b58b63bb67279b">REG_CNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a19552bd2005909f4a8a59ed1a4b562b5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19552bd2005909f4a8a59ed1a4b562b5"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a19552bd2005909f4a8a59ed1a4b562b5">pkt_wait</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4098363d08019dbb43b450840fcbe30c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4098363d08019dbb43b450840fcbe30c"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a4098363d08019dbb43b450840fcbe30c">FRAME_SIZE_S</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a359bc8a44d6c395488753e6131c5d311"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a359bc8a44d6c395488753e6131c5d311"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a359bc8a44d6c395488753e6131c5d311">local_header_user_info</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14d861c0f87793a24c88c3d0dd2f4cc6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14d861c0f87793a24c88c3d0dd2f4cc6"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a14d861c0f87793a24c88c3d0dd2f4cc6">local_system_status</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a35502f35b2b2e02213b14cbe27351e49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35502f35b2b2e02213b14cbe27351e49"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a35502f35b2b2e02213b14cbe27351e49">inst_tx_packet_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>tx_packet_fifo</b>  <em><a class="el" href="classtx__packet__fifo.html">&lt;Entity tx_packet_fifo&gt;</a></em></td></tr>
<tr class="memitem:a35502f35b2b2e02213b14cbe27351e49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35502f35b2b2e02213b14cbe27351e49"></a>
<a class="el" href="classtx__frame_1_1tx__frame__arch.html#a35502f35b2b2e02213b14cbe27351e49">inst_tx_packet_fifo</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>tx_packet_fifo</b>  <em><a class="el" href="classtx__packet__fifo.html">&lt;Entity tx_packet_fifo&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tx__frame_8vhd_source.html#l00091">91</a> of file <a class="el" href="tx__frame_8vhd_source.html">tx_frame.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/udp_io/<a class="el" href="tx__frame_8vhd_source.html">tx_frame.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/udp_io/<a class="el" href="tx__frame2_8vhd_source.html">tx_frame2.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
